# $Revision: 1.6.2.2 $, $Date: 2006/06/01 19:49:38 $
%define		_realname	fast-user-switch-applet

Summary:	GNOME applet for fast user switching
Summary(pl):	Aplet GNOME do szybkiego przeczania uytkownikw
Name:		gnome-applet-fast-user-switch
Version:	2.14.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/fast-user-switch-applet/2.14/%{_realname}-%{version}.tar.bz2
# Source0-md5:	590e51fbc9dfa7e33a337d36349cf040
Patch0:		%{name}-ac.patch
URL:		http://ignore-your.tv/fusa
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-panel-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	intltool >= 0.35
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	gdm >= 1:2.14.7
# only required when --with-users-admin enabled
# TODO for now
# Requires:	gnome-system-tools >= 2.13.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Fast User-Switching Applet is an applet for the GNOME panel which
provides a menu to switch between users.

%description -l pl
Fast User-Switching Applet to aplet panelu GNOME udostpniajcy menu
do przeczania midzy uytkownikami.

%prep
%setup -q -n %{_realname}-%{version}
%patch0 -p1

%build
gnome-doc-prepare --copy --force
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--with-gdm-config=%{_sysconfdir}/gdm/custom.conf \
	--with-gdm-setup=%{_sbindir}/gdmsetup
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{_realname} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install %{_realname}.schemas
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall %{_realname}.schemas

%postun
%scrollkeeper_update_postun

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_libdir}/%{_realname}
%{_datadir}/%{_realname}
%{_datadir}/gnome-2.0
%{_libdir}/bonobo/servers/*.server
%{_omf_dest_dir}/%{_realname}/%{_realname}-C.omf
%lang(es) %{_omf_dest_dir}/%{_realname}/%{_realname}-es.omf
%lang(pa) %{_omf_dest_dir}/%{_realname}/%{_realname}-pa.omf
%lang(sr) %{_omf_dest_dir}/%{_realname}/%{_realname}-sr.omf
%{_sysconfdir}/gconf/schemas/%{_realname}.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-fast-user-switch.spec,v $
Revision 1.6.2.2  2006/06/01 19:49:38  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.6.2.1  2006/05/16 16:53:37  baggins
- from HEAD

Revision 1.6  2006/04/13 21:43:47  freetz
- 2.14.1

Revision 1.5  2006/03/14 13:51:02  freetz
- 2.14.0

Revision 1.4  2006/02/28 20:33:24  freetz
- 2.13.92, added ac patch, updated BR

Revision 1.3  2006/02/26 14:15:51  aflinta
- up to 2.13.91

Revision 1.2  2006/02/20 17:53:53  qboosh
- pl

Revision 1.1  2006/02/19 00:07:32  aflinta
- PLD Initial release, NFY
